local luaCutscenesUtils = require("#Celeste.Mod.MaxHelpingHand.Module.LuaCutscenesUtils")


function onTalk()

    if getFlag("toy3") then
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_toy3"))
        enableMovement()
    end

    if getFlag("toy2") then
        setFlag("toy2", false)
        setFlag("toy3")
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_toy2"))
        enableMovement()
    end

    if not getFlag("toy2") and not getFlag("toy3") then
        setFlag("toy2")
        disableMovement()
        coroutine.yield(luaCutscenesUtils.SayWithDifferentFont("OMORI_GAME", "CBR_BlackSpace_door2_treehouse_toy1"))
        enableMovement()
    end

end